## org.red5.server.service
Class ContextServiceResolver

    java.lang.Object
      org.red5.server.service.ContextServiceResolver

All Implemented Interfaces:
  IServiceResolver

    public class ContextServiceResolver

extends Object
implements IServiceResolver

Resolve services that have been configured in the context of a scope.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)

Constructor Summary
`ContextServiceResolver()`

Method Summary
`Object` `resolveService(IScope scope, String serviceName)` Search for a service with the given name in the scope.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextServiceResolver

    public ContextServiceResolver()

Method Detail

### resolveService

    public Object resolveService(IScope scope,
                                 String serviceName)

  Search for a service with the given name in the scope.

  Specified by:
    `resolveService` in interface `IServiceResolver`
  Parameters:
    `scope` - the scope to search in
    `serviceName` - the name of the service
  Returns:
    the object implementing the service or `null` if service doesn't exist

Copyright © 2006-2010 The Red5 Project